Page MenuHomePhabricator

Site header doesn't fit on screen in advanced contributors mode
Closed, ResolvedPublic3 Story Points

Description

I'm on an iPhone SE.

Looks like there's plenty of extra space between the header icons that could be shrunk on smaller screens. Probably just need to add a CSS media query.

Sign off steps

  • The fix is a hack that will need to be reverted. Make sure this task is not resolved, and is removed from the sprint board/moved to blocked on others. It will need to be tested again when T229440 is done, test on different device sizes (s, m, and l roughly)

QA Results

ACStatusDetails
1T230232#5516106

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : master[hack] [toolbar] tighten the icon spacing

Event Timeline

kaldari created this task.Aug 9 2019, 6:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2019, 6:54 PM
Jdlrobson triaged this task as High priority.Aug 12 2019, 6:02 PM

Change 533534 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/skins/MinervaNeue@master] [hack] [toolbar] tighten the icon spacing

https://gerrit.wikimedia.org/r/533534

Nice, I was going to complain about this too :)

Change 533534 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] [hack] [toolbar] tighten the icon spacing

https://gerrit.wikimedia.org/r/533534

ovasileva set the point value for this task to 3.Sep 3 2019, 5:11 PM

The red circle is bleeding to the right again as a result of this change :-(:

ovasileva updated the task description. (Show Details)Sep 4 2019, 5:29 PM
nray added a subscriber: nray.Sep 4 2019, 5:34 PM

^^ I can reproduce that on iPhone 6 Plus and Pixel 2 XL

Task opened: T232011 documenting bug T230232#5465590

This is broken again and now blocked on progress in T229440

alexhollender added a subscriber: alexhollender.

Fixed. Screenshot from iPhone 5.

This comment was removed by Edtadros.
Edtadros reassigned this task from Edtadros to ovasileva.Sep 23 2019, 1:46 PM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhone 5/SE

Test Artifact(s):
✅ AC1 - Header icons fit on screen

Edtadros updated the task description. (Show Details)Sep 23 2019, 1:46 PM
ovasileva closed this task as Resolved.Sep 24 2019, 10:40 AM